Subject: Re: [bitcoin-dev] Proposed BIP editor: Kalle Alm

From: nopara73 <[email-masked]>
Date: Sat, 24 Apr 2021 12:16:15 +0200

ACK adding Kalle

On Fri, Apr 23, 2021 at 5:51 PM Antoine Riard via bitcoin-dev <
[email-masked]> wrote:

> Hi Luke,
>
> For the records and the subscribers of this list not following
> #bitcoin-core-dev, this mail follows a discussion which did happen during
> yesterday irc meetings.
> Logs here : http://gnusha.org/bitcoin-core-dev/2021-04-22.log
>
> I'll reiterate my opinion expressed during the meeting. If this proposal
> to extend the bip editorship membership doesn't satisfy parties involved or
> anyone in the community, I'm strongly opposed to have the matter sliced by
> admins of the Bitcoin github org. I believe that defect or uncertainty in
> the BIP Process shouldn't be solved by GH janitorial roles and I think
> their roles don't bestow to intervene in case of loopholes. Further, you
> have far more contributors involved in the BIP Process rather than only
> Bitcoin Core ones. FWIW, such precedent merits would be quite similar to
> lobby directly GH staff...
>
> Unless we harm Bitcoin users by not acting, I think we should always be
> respectful of procedural forms. And in the lack of such forms, stay patient
> until a solution satisfy everyone.
>
> I would recommend the BIP editorship, once extended or not, to move in its
> own repository in the future.
>
> Cheers,
> Antoine
>
>
>
>
> Le jeu. 22 avr. 2021 à 22:09, Luke Dashjr via bitcoin-dev <
> [email-masked]> a écrit :
>
>> Unless there are objections, I intend to add Kalle Alm as a BIP editor to
>> assist in merging PRs into the bips git repo.
>>
>> Since there is no explicit process to adding BIP editors, IMO it should
>> be
>> fine to use BIP 2's Process BIP progression:
>>
>> > A process BIP may change status from Draft to Active when it achieves
>> > rough consensus on the mailing list. Such a proposal is said to have
>> > rough consensus if it has been open to discussion on the development
>> > mailing list for at least one month, and no person maintains any
>> > unaddressed substantiated objections to it.
>>
>> A Process BIP could be opened for each new editor, but IMO that is
>> unnecessary. If anyone feels there is a need for a new Process BIP, we
>> can go
>> that route, but there is prior precedent for BIP editors appointing new
>> BIP
>> editors, so I think this should be fine.
>>
>> Please speak up soon if you disagree.
>>
>> Luke
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>

-- 
Best,
Ádám